<template>
  <form ref="form" class="space-y-4" @submit.prevent="submit">
    <ui-input
      v-model="files"
      label="Your paper"
      type="file"
      accept=".docx,.pdf"
      addon-label="*.docx, *.pdf"
    />
    <ui-button :disabled="!files?.length" :loading="loading">Upload</ui-button>
  </form>
</template>

<script>
export default {
  data() {
    return {
      files: undefined,
      loading: false,
    }
  },

  methods: {
    async submit() {
      this.loading = true

      const formData = new FormData()
      // files is a FileList object, so we fetch the first file manually
      formData.append('file', this.files[0])

      setTimeout(() => {
        this.loading = false

        // reset the model value
        this.files = undefined

        // reset the native value (file name displayed in the input field)
        this.$refs.form.reset()
      }, 1000)
    },
  },
}
</script>
